export class MemorietArchive1784100000000 {
    name = "MemorietArchive1784100000000";
    async up(queryRunner) {
        await queryRunner.query(`CREATE TABLE IF NOT EXISTS "memoriet_archive" ("id" character varying(32) NOT NULL, "createdAt" TIMESTAMP WITH TIME ZONE NOT NULL, "deletedAt" TIMESTAMP WITH TIME ZONE NOT NULL, "userId" character varying(32) NOT NULL, "text" text, "cw" character varying(128), "fileIds" character varying(32) array NOT NULL DEFAULT '{}', "textLayers" jsonb NOT NULL DEFAULT '[]'::jsonb, "visibility" character varying(32) NOT NULL DEFAULT 'home', CONSTRAINT "PK_memoriet_archive" PRIMARY KEY ("id"))`);
        await queryRunner.query(`CREATE INDEX IF NOT EXISTS "IDX_memoriet_archive_createdAt" ON "memoriet_archive" ("createdAt")`);
        await queryRunner.query(`CREATE INDEX IF NOT EXISTS "IDX_memoriet_archive_deletedAt" ON "memoriet_archive" ("deletedAt")`);
        await queryRunner.query(`CREATE INDEX IF NOT EXISTS "IDX_memoriet_archive_userId" ON "memoriet_archive" ("userId")`);
    }
    async down(queryRunner) {
        await queryRunner.query(`DROP TABLE IF EXISTS "memoriet_archive"`);
    }
}
